# Generated by Django 3.1.13 on 2021-11-05 17:15

import core.models.validators.validators_indicator_values
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0009_initialize_indicator_values_description'),
    ]

    operations = [
        migrations.AlterField(
            model_name='historicalindicatorvalues',
            name='atmospheric_moisture',
            field=models.DecimalField(blank=True, decimal_places=1, max_digits=3, null=True, validators=[
                                      core.models.validators.validators_indicator_values.validate_atmospheric_moisture]),
        ),
        migrations.AlterField(
            model_name='historicalindicatorvalues',
            name='continentality',
            field=models.DecimalField(blank=True, decimal_places=1, max_digits=3, null=True, validators=[
                                      core.models.validators.validators_indicator_values.validate_continentality]),
        ),
        migrations.AlterField(
            model_name='historicalindicatorvalues',
            name='light',
            field=models.DecimalField(blank=True, decimal_places=1, max_digits=3, null=True, validators=[
                                      core.models.validators.validators_indicator_values.validate_light]),
        ),
        migrations.AlterField(
            model_name='historicalindicatorvalues',
            name='nutrient',
            field=models.DecimalField(blank=True, decimal_places=1, max_digits=3, null=True, validators=[
                                      core.models.validators.validators_indicator_values.validate_nutrient]),
        ),
        migrations.AlterField(
            model_name='historicalindicatorvalues',
            name='organic_matter',
            field=models.DecimalField(blank=True, decimal_places=1, max_digits=3, null=True, validators=[
                                      core.models.validators.validators_indicator_values.validate_organic_matter]),
        ),
        migrations.AlterField(
            model_name='historicalindicatorvalues',
            name='salinity',
            field=models.DecimalField(blank=True, decimal_places=1, max_digits=3, null=True, validators=[
                                      core.models.validators.validators_indicator_values.validate_salinity]),
        ),
        migrations.AlterField(
            model_name='historicalindicatorvalues',
            name='soil_reaction',
            field=models.DecimalField(blank=True, decimal_places=1, max_digits=3, null=True, validators=[
                                      core.models.validators.validators_indicator_values.validate_soil_reaction]),
        ),
        migrations.AlterField(
            model_name='historicalindicatorvalues',
            name='soil_texture',
            field=models.DecimalField(blank=True, decimal_places=1, max_digits=3, null=True, validators=[
                                      core.models.validators.validators_indicator_values.validate_soil_texture]),
        ),
        migrations.AlterField(
            model_name='historicalindicatorvalues',
            name='temperature',
            field=models.DecimalField(blank=True, decimal_places=1, max_digits=3, null=True, validators=[
                                      core.models.validators.validators_indicator_values.validate_temperature]),
        ),
        migrations.AlterField(
            model_name='indicatorvalues',
            name='atmospheric_moisture',
            field=models.DecimalField(blank=True, decimal_places=1, max_digits=3, null=True, validators=[
                                      core.models.validators.validators_indicator_values.validate_atmospheric_moisture]),
        ),
        migrations.AlterField(
            model_name='indicatorvalues',
            name='continentality',
            field=models.DecimalField(blank=True, decimal_places=1, max_digits=3, null=True, validators=[
                                      core.models.validators.validators_indicator_values.validate_continentality]),
        ),
        migrations.AlterField(
            model_name='indicatorvalues',
            name='light',
            field=models.DecimalField(blank=True, decimal_places=1, max_digits=3, null=True, validators=[
                                      core.models.validators.validators_indicator_values.validate_light]),
        ),
        migrations.AlterField(
            model_name='indicatorvalues',
            name='nutrient',
            field=models.DecimalField(blank=True, decimal_places=1, max_digits=3, null=True, validators=[
                                      core.models.validators.validators_indicator_values.validate_nutrient]),
        ),
        migrations.AlterField(
            model_name='indicatorvalues',
            name='organic_matter',
            field=models.DecimalField(blank=True, decimal_places=1, max_digits=3, null=True, validators=[
                                      core.models.validators.validators_indicator_values.validate_organic_matter]),
        ),
        migrations.AlterField(
            model_name='indicatorvalues',
            name='salinity',
            field=models.DecimalField(blank=True, decimal_places=1, max_digits=3, null=True, validators=[
                                      core.models.validators.validators_indicator_values.validate_salinity]),
        ),
        migrations.AlterField(
            model_name='indicatorvalues',
            name='soil_reaction',
            field=models.DecimalField(blank=True, decimal_places=1, max_digits=3, null=True, validators=[
                                      core.models.validators.validators_indicator_values.validate_soil_reaction]),
        ),
        migrations.AlterField(
            model_name='indicatorvalues',
            name='soil_texture',
            field=models.DecimalField(blank=True, decimal_places=1, max_digits=3, null=True, validators=[
                                      core.models.validators.validators_indicator_values.validate_soil_texture]),
        ),
        migrations.AlterField(
            model_name='indicatorvalues',
            name='temperature',
            field=models.DecimalField(blank=True, decimal_places=1, max_digits=3, null=True, validators=[
                                      core.models.validators.validators_indicator_values.validate_temperature]),
        ),
    ]
